DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | List of all members
DicomImageClass Class Reference

Class comprising several global functions and constants. More...

## Static Public Member Functions
static unsigned long | maxval (const int mv_bits, const unsigned long mv_pos=1)
| calculate maximum value which could be stored in the specified number of bits More...
static unsigned int | tobits (unsigned long tb_value, const unsigned long tb_pos=1)
| calculate number of bits which are necessary to store the specified value More...
static unsigned int | rangeToBits (double minvalue, double maxvalue)
| calculate number of bits which are necessary to store the specified value range More...
static int | isRepresentationSigned (EP_Representation repres)
| determine whether integer representation is signed or unsigned More...
static unsigned int | getRepresentationBits (EP_Representation repres)
| determine number of bits used for a particular integer representation More...
static EP_Representation | determineRepresentation (double minvalue, double maxvalue)
| determine integer representation which is necessary to store values in the specified range More...

## Detailed Description

Class comprising several global functions and constants.

introduced to avoid problems with naming convention

## Member Function Documentation

## ◆ determineRepresentation()

static EP_Representation DicomImageClass::determineRepresentation | ( | double | minvalue,
|  | double | maxvalue
| ) |  |
| static

determine integer representation which is necessary to store values in the specified range

Parameters

  minvalue | minimum value to be stored
  maxvalue | maximum value to be stored

Returns
  integer representation (enum)

## ◆ getRepresentationBits()

static unsigned int DicomImageClass::getRepresentationBits | ( | EP_Representation | repres | ) |
| static

determine number of bits used for a particular integer representation

Parameters

  repres | integer representation (enum) to be checked

Returns
  number of bits

## ◆ isRepresentationSigned()

static int DicomImageClass::isRepresentationSigned | ( | EP_Representation | repres | ) |
| static

determine whether integer representation is signed or unsigned

Parameters

  repres | integer representation (enum) to be checked

Returns
  true if representation is signed, false if unsigned

## ◆ maxval()

static unsigned long DicomImageClass::maxval | ( | const int | mv_bits,
|  | const unsigned long | mv_pos = `1`
| ) |  |
| inline static

calculate maximum value which could be stored in the specified number of bits

Parameters

  mv_bits | number of bits
  mv_pos | value subtracted from the maximum value (0 or 1)

Returns
  maximum value

## ◆ rangeToBits()

static unsigned int DicomImageClass::rangeToBits | ( | double | minvalue,
|  | double | maxvalue
| ) |  |
| static

calculate number of bits which are necessary to store the specified value range

Parameters

  minvalue | minimum value to be stored
  maxvalue | maximum value to be stored

Returns
  number of bits

## ◆ tobits()

static unsigned int DicomImageClass::tobits | ( | unsigned long | tb_value,
|  | const unsigned long | tb_pos = `1`
| ) |  |
| inline static

calculate number of bits which are necessary to store the specified value

Parameters

  tb_value | value to be stored
  tb_pos | value subtracted from the value (0 or 1) before converting

Returns
  number of bits

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diutils.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1